Get presigned URLs
curl --request POST \
--url https://api.rampartcorporation.com/v2/storage/upload-urls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-id: <x-client-id>' \
--data '
{
"job_id": "job_abc123",
"files": [
{
"filename": "invoices-1.csv",
"vendor_hint": "Acme Corp"
},
{
"filename": "contracts-2023.pdf"
}
],
"expires_in": 900
}
'import requests
url = "https://api.rampartcorporation.com/v2/storage/upload-urls"
payload = {
"job_id": "job_abc123",
"files": [{
"filename": "invoices-1.csv",
"vendor_hint": "Acme Corp"
}, { "filename": "contracts-2023.pdf" }],
"expires_in": 900
}
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
job_id: 'job_abc123',
files: [
{filename: 'invoices-1.csv', vendor_hint: 'Acme Corp'},
{filename: 'contracts-2023.pdf'}
],
expires_in: 900
})
};
fetch('https://api.rampartcorporation.com/v2/storage/upload-urls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"filename": "invoices-1.csv",
"presignedUrl": "https://storage.rampartcorporation.com/upload/abc123?signature=xyz"
},
{
"filename": "contracts-2023.pdf",
"presignedUrl": "https://storage.rampartcorporation.com/upload/def456?signature=uvw"
}
]
}Storage
Get Upload URLs
Get presigned URLs for the files in this batch from Rampart Storage.
Get presigned URLs
Authorizations
Bearer authentication header of the form Bearer <API_KEY>.
Headers
Client ID for authentication
Body
application/json
Response
200 - application/json
Successfully got presigned URLs
Show child attributes
Show child attributes
⌘I
